import request from '@/utils/request'

export function putAction(url, parameter) {
  return request({
    url: url,
    method: 'put',
    params: parameter
  })
}

export function deleteAction(url, parameter) {
  return request({
    url: url + parameter,
    method: 'delete'
  })
}
export function getDicAction(url, parameter) {
  return request({
    url: url + parameter,
    method: 'get',
    params: parameter
  })
}
export function getAction(url, parameter) {
  return request({
    url: url,
    method: 'get',
    params: parameter

  })
}
export function getDetaie(url, parameter) {
  return request({
    url: url + parameter,
    method: 'get'
  })
}

export function httpAction(url, parameter, method) {
  return request({
    url: url,
    method: method,
    data: parameter
  })
}

export function downFile(url, parameter) {
  return request({
    url: url,
    params: parameter,
    method: 'get'
  })
}
